Bug 211036 - www/chromium hangs and becomes unresponsive just opening a new tab
Summary: www/chromium hangs and becomes unresponsive just opening a new tab
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Some People
Assignee: Carlos J. Puga Medina
URL: https://github.com/gliaskos/freebsd-c...
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-12 15:11 UTC by miguelmclara
Modified: 2017-08-12 10:40 UTC (History)
5 users (show)

See Also:
cpm: maintainer-feedback+
cpm: merge-quarterly+


Attachments
v0 (15.20 KB, patch)
2017-07-05 00:32 UTC, Carlos J. Puga Medina
no flags Details | Diff
v1 (15.22 KB, patch)
2017-07-06 10:25 UTC, Carlos J. Puga Medina
no flags Details | Diff
v2 (16.42 KB, patch)
2017-07-20 20:40 UTC, Carlos J. Puga Medina
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description miguelmclara 2016-07-12 15:11:04 UTC
This is happening in the latest releases I though it was fixed in 51 but I just experienced the same.


The odd thing is sometimes I don't even have many tabs open and just use "Open link in new tab" and chromium just sucks my ram and the system gets frozen.

I'm using FreeBSD 11 Current.


I've tried deleting the full local profile (.config/chromium) which at first seemed to help but its now doing the same at random times with random sites (although I think its with those that use JS heavily but that's just a hunch)

I don't have the resources in this machine to compile chromium with DEBUG so I'm afraid I can send much details... maybe someone else can repro?
Comment 1 Maxim Usatov 2016-10-20 10:20:45 UTC
Version 52.0.2743.116 (64-bit) 
FreeBSD 11.0-RELEASE-p1 #0 r306420: Thu Sep 29 01:43:23 UTC 2016     root@releng2.nyi.freebsd.org:/usr/obj/usr/src/sys/GENERIC 

Chromium sometimes hangs even if I try to open any web site. Suggests to kill the tab because it's unresponsive. Happens even on a local FreeBSD Handbook HTML.
Comment 2 Yuri Victorovich freebsd_committer 2016-10-21 19:54:36 UTC
I observe the same. 52.0.2743.116 is worse than the previous releases.
Comment 3 Ulrich Spörlein freebsd_committer 2017-06-03 10:31:00 UTC
I had this on 11-CURRENT since ~forever.

Sometimes it was ok, sometimes it just hung. I think uptime and fragmentation play a role here.

Now on 11-STABLE and 58.0.3029.96 I can't even open a single tab, even with a clean profile.
Comment 4 Carlos J. Puga Medina freebsd_committer 2017-06-03 10:52:12 UTC
(In reply to Ulrich Spoerlein from comment #3)

Have you tried to disable V8 cache?

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=212812#c24
Comment 5 Ulrich Spörlein freebsd_committer 2017-06-03 11:30:00 UTC
I saw that bug shortly after and tried to disable the V8 cache. This _kinda_ worked in that afterwards about 30% of my about 20 tabs or so did indeed load (yay!), but after another Chrome restart it was back to every tab hanging.

Then I bumped these values and rebooted:
kern.ipc.shmseg=1024
kern.ipc.shmmni=1024
kern.ipc.semmns=1024
kern.ipc.semmni=128


This by itself didn't work either. Then I disabled 2D canvas acceleration (webgl accel has always been disabled). And *that* made all 20 tabs load upon startup ... but for new tabs is still a hit-and-miss and most of them are just spinning forever and/or I get the "unresponsive tab" popup.
Comment 6 mg 2017-06-09 10:19:50 UTC
same problem here with 11.0-RELEASE-p9
and 58.0.3029.110_2
Comment 7 Carlos J. Puga Medina freebsd_committer 2017-07-05 00:32:34 UTC
Created attachment 184061 [details]
v0

- Add network interface implementation for FreeBSD
Comment 8 Carlos J. Puga Medina freebsd_committer 2017-07-06 10:25:58 UTC
Created attachment 184117 [details]
v1

- Fix chromium build on 10.x
Comment 9 Carlos J. Puga Medina freebsd_committer 2017-07-20 20:40:35 UTC
Created attachment 184556 [details]
v2

Drop unnecessary patch to avoid duplicate symbols.
Comment 10 commit-hook freebsd_committer 2017-07-21 11:14:11 UTC
A commit references this bug:

Author: cpm
Date: Fri Jul 21 11:14:02 UTC 2017
New revision: 446307
URL: https://svnweb.freebsd.org/changeset/ports/446307

Log:
  - Add network interface implementation for FreeBSD [1]
  - Backport a patch from upstream to fix DPI settings
  - Bump PORTREVISION

  PR:		211036 [1]
  MFH:		2017Q3

Changes:
  head/www/chromium/Makefile
  head/www/chromium/files/patch-chrome_browser_ui_libgtkui_gtk_ui.cc
  head/www/chromium/files/patch-net_BUILD.gn
  head/www/chromium/files/patch-net_base_network__interfaces__freebsd.cc
  head/www/chromium/files/patch-net_base_network__interfaces__freebsd.h
  head/www/chromium/files/patch-net_base_network__interfaces__posix.cc
  head/www/chromium/files/patch-net_base_network__interfaces__posix.h
  head/www/chromium/files/patch-v8_src_log-utils.h
Comment 11 commit-hook freebsd_committer 2017-07-22 13:03:32 UTC
A commit references this bug:

Author: cpm
Date: Sat Jul 22 13:02:56 UTC 2017
New revision: 446398
URL: https://svnweb.freebsd.org/changeset/ports/446398

Log:
  MFH: r446307

  - Add network interface implementation for FreeBSD [1]
  - Backport a patch from upstream to fix DPI settings
  - Bump PORTREVISION

  PR:		211036 [1]

  Approved by:	ports-secteam (miwi)

Changes:
_U  branches/2017Q3/
  branches/2017Q3/www/chromium/Makefile
  branches/2017Q3/www/chromium/files/patch-chrome_browser_ui_libgtkui_gtk_ui.cc
  branches/2017Q3/www/chromium/files/patch-net_BUILD.gn
  branches/2017Q3/www/chromium/files/patch-net_base_network__interfaces__freebsd.cc
  branches/2017Q3/www/chromium/files/patch-net_base_network__interfaces__freebsd.h
  branches/2017Q3/www/chromium/files/patch-net_base_network__interfaces__posix.cc
  branches/2017Q3/www/chromium/files/patch-net_base_network__interfaces__posix.h
  branches/2017Q3/www/chromium/files/patch-v8_src_log-utils.h